List of all alert rule summary in the given time_bucket_start and time_bucket_end
curl --request GET \
--url https://api.example.com/v3/alert-rules/summary \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v3/alert-rules/summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v3/alert-rules/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"api_version": "3.0",
"kind": "PAGINATED",
"data": {
"page_size": 10,
"item_count": 10,
"total": 100,
"page_count": 10,
"page_index": 1,
"offset": 0,
"items": [
{
"alert_rule_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"metric": {
"id": "<string>",
"display_name": "<string>"
},
"condition": "<string>",
"alert_record_count": 123,
"alert_value": 123,
"latest_alert_record_value": 123,
"latest_alert_time_bucket": 123,
"latest_alert_feature_name": "<string>",
"latest_alert_feature_id": "<string>",
"organization": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"project": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"model": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"version": "<string>"
},
"baseline": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"is_fiddler_generated": true,
"feature_names": [
"<string>"
],
"critical_threshold": 123,
"warning_threshold": 123,
"enable_notification": true,
"compare_bin_delta": 123,
"latest_threshold": 123,
"segment": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definition": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"full_name": "<string>"
},
"updated_by": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"full_name": "<string>"
}
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}Alert Rules
List of all alert rule summary in the given time_bucket_start and time_bucket_end
List of all alert rule summary in the given time_bucket_start and time_bucket_end
GET
/
v3
/
alert-rules
/
summary
List of all alert rule summary in the given time_bucket_start and time_bucket_end
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Allows you to filter by any field.
Allows you to search by any field.
Allows you to order results by any field. For desc order prefix field name with - and provide comman separated values for multiple fields
Limit for the pagination
Offset for the pagination
requested start time
requested end time
Response
Summary of all alert rules in the given time_bucket_start and time_bucket_end
List of all alert records during specified time_bucket_start and time_bucket_end for the given alert rule
Previous
Lists all alert rules configured for a model.
Next
⌘I